> For the complete documentation index, see [llms.txt](https://docs.mulearn.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mulearn.org/api-reference/register.md).

# Register

## POST /api/v1/register/

> Create Register Data.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Register":{"type":"object","properties":{"user":{"$ref":"#/components/schemas/User"},"integration":{"$ref":"#/components/schemas/Integration"},"referral":{"$ref":"#/components/schemas/Referral"}},"required":["user"]},"User":{"type":"object","properties":{"muid":{"type":"string","maxLength":100},"full_name":{"type":"string","maxLength":150},"email":{"type":"string","format":"email","maxLength":200},"mobile":{"type":"string","nullable":true,"maxLength":15},"gender":{"enum":["Male","Female","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female","nullable":true},"dob":{"type":"string","format":"date","nullable":true},"exist_in_guild":{"type":"boolean"},"joined":{"type":"string"},"roles":{"type":"string","readOnly":true},"profile_pic":{"type":"string","readOnly":true},"dynamic_type":{"type":"string","readOnly":true},"user_domains":{"type":"string","readOnly":true},"user_endgoals":{"type":"string","readOnly":true},"interested_in_work":{"type":"boolean"},"interested_in_gig_work":{"type":"boolean"}},"required":["dynamic_type","email","full_name","joined","muid","profile_pic","roles","user_domains","user_endgoals"]},"Integration":{"type":"object","properties":{"param":{"type":"string"},"title":{"type":"string"}},"required":["param","title"]},"Referral":{"type":"object","properties":{"muid":{"type":"string"},"user":{"type":"string"},"invite_code":{"type":"string"},"is_coin":{"type":"boolean"}}},"UserDetail":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"muid":{"type":"string","maxLength":100},"email":{"type":"string","format":"email","maxLength":200},"role":{"type":"string","readOnly":true},"full_name":{"type":"string","maxLength":150}},"required":["email","full_name","muid","role"]}}},"paths":{"/api/v1/register/":{"post":{"operationId":"register_create","description":"Create Register Data.","tags":["Register"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Register"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Register"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Register"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserDetail"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/register/area-of-interest/list/

> Retrieve Area Of Interest.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"AreaOfInterestAPI":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"name":{"type":"string","maxLength":75}},"required":["name"]}}},"paths":{"/api/v1/register/area-of-interest/list/":{"get":{"operationId":"register_area_of_interest_list_retrieve","description":"Retrieve Area Of Interest.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/AreaOfInterestAPI"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/register/college/list/

> Create College.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Org":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":100}},"required":["title"]}}},"paths":{"/api/v1/register/college/list/":{"post":{"operationId":"register_college_list_create","description":"Create College.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Org"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/register/colleges/

> Retrieve Colleges.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"RegisterCollegesResponse":{"type":"object","properties":{"colleges":{"type":"array","items":{"$ref":"#/components/schemas/RegisterCollegeItem"}}},"required":["colleges"]},"RegisterCollegeItem":{"type":"object","properties":{"id":{"type":"string"},"title":{"type":"string"}},"required":["id","title"]}}},"paths":{"/api/v1/register/colleges/":{"get":{"operationId":"register_colleges_retrieve","description":"Retrieve Colleges.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/RegisterCollegesResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/register/community/list/

> Retrieve Community.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Org":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":100}},"required":["title"]}}},"paths":{"/api/v1/register/community/list/":{"get":{"operationId":"register_community_list_retrieve","description":"Retrieve Community.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Org"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/register/company/list/

> Retrieve Company.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"RegisterCompaniesResponse":{"type":"object","properties":{"companies":{"type":"array","items":{"$ref":"#/components/schemas/RegisterCompanyItem"}}},"required":["companies"]},"RegisterCompanyItem":{"type":"object","properties":{"id":{"type":"string"},"title":{"type":"string"}},"required":["id","title"]}}},"paths":{"/api/v1/register/company/list/":{"get":{"operationId":"register_company_list_retrieve","description":"Retrieve Company.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/RegisterCompaniesResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/register/connect-discord/

> Retrieve Connect Discord.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/register/connect-discord/":{"get":{"operationId":"register_connect_discord_retrieve","description":"Retrieve Connect Discord.","tags":["Register"],"responses":{"200":{"description":"Discord onboard success message"}}}}}}
```

## GET /api/v1/register/country/list/

> Retrieve Country.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Country":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"name":{"type":"string","maxLength":75}},"required":["name"]}}},"paths":{"/api/v1/register/country/list/":{"get":{"operationId":"register_country_list_retrieve","description":"Retrieve Country.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Country"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/register/department/list/

> Retrieve Department.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Department":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":100}},"required":["title"]}}},"paths":{"/api/v1/register/department/list/":{"get":{"operationId":"register_department_list_retrieve","description":"Retrieve Department.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Department"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/register/district/list/

> Create District.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"District":{"type":"object","properties":{"name":{"type":"string","maxLength":75},"zone":{"allOf":[{"$ref":"#/components/schemas/Zone"}],"readOnly":true}},"required":["name","zone"]},"Zone":{"type":"object","properties":{"name":{"type":"string","maxLength":75},"state":{"allOf":[{"$ref":"#/components/schemas/State"}],"readOnly":true}},"required":["name","state"]},"State":{"type":"object","properties":{"name":{"type":"string","maxLength":75},"country":{"type":"string","readOnly":true}},"required":["country","name"]}}},"paths":{"/api/v1/register/district/list/":{"post":{"operationId":"register_district_list_create","description":"Create District.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/District"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/register/email-verification/

> Create User Email Verification.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"User":{"type":"object","properties":{"muid":{"type":"string","maxLength":100},"full_name":{"type":"string","maxLength":150},"email":{"type":"string","format":"email","maxLength":200},"mobile":{"type":"string","nullable":true,"maxLength":15},"gender":{"enum":["Male","Female","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female","nullable":true},"dob":{"type":"string","format":"date","nullable":true},"exist_in_guild":{"type":"boolean"},"joined":{"type":"string"},"roles":{"type":"string","readOnly":true},"profile_pic":{"type":"string","readOnly":true},"dynamic_type":{"type":"string","readOnly":true},"user_domains":{"type":"string","readOnly":true},"user_endgoals":{"type":"string","readOnly":true},"interested_in_work":{"type":"boolean"},"interested_in_gig_work":{"type":"boolean"}},"required":["dynamic_type","email","full_name","joined","muid","profile_pic","roles","user_domains","user_endgoals"]}}},"paths":{"/api/v1/register/email-verification/":{"post":{"operationId":"register_email_verification_create","description":"Create User Email Verification.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/User"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/register/lc/user-validation/

> Create Learning Circle User View.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"LearningCircleUser":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"muid":{"type":"string","maxLength":100},"full_name":{"type":"string","maxLength":150},"email":{"type":"string","format":"email","maxLength":200},"mobile":{"type":"string","nullable":true,"maxLength":15}},"required":["email","full_name","muid"]}}},"paths":{"/api/v1/register/lc/user-validation/":{"post":{"operationId":"register_lc_user_validation_create","description":"Create Learning Circle User View.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/LearningCircleUser"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/register/location/

> Retrieve Location Search.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Location":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"location":{"type":"string","readOnly":true}},"required":["location"]}}},"paths":{"/api/v1/register/location/":{"get":{"operationId":"register_location_retrieve","description":"Retrieve Location Search.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Location"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/register/organization/create/

> Create Unverified Organization Create.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UnverifiedOrganizationCreate":{"type":"object","properties":{"title":{"type":"string","maxLength":100},"org_type":{"type":"string","maxLength":25},"graduation_year":{"type":"integer","nullable":true},"department":{"type":"string","nullable":true}},"required":["org_type","title"]}}},"paths":{"/api/v1/register/organization/create/":{"post":{"operationId":"register_organization_create_create","description":"Create Unverified Organization Create.","tags":["Register"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnverifiedOrganizationCreate"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UnverifiedOrganizationCreate"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UnverifiedOrganizationCreate"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UnverifiedOrganizationCreate"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/register/role/list/

> Retrieve Role.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Role":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":75}},"required":["id","title"]}}},"paths":{"/api/v1/register/role/list/":{"get":{"operationId":"register_role_list_retrieve","description":"Retrieve Role.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Role"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/register/schools/list/

> Create School.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Org":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":100}},"required":["title"]}}},"paths":{"/api/v1/register/schools/list/":{"post":{"operationId":"register_schools_list_create","description":"Create School.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Org"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/register/select-domains/

> Create User Domain Selection.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"User":{"type":"object","properties":{"muid":{"type":"string","maxLength":100},"full_name":{"type":"string","maxLength":150},"email":{"type":"string","format":"email","maxLength":200},"mobile":{"type":"string","nullable":true,"maxLength":15},"gender":{"enum":["Male","Female","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female","nullable":true},"dob":{"type":"string","format":"date","nullable":true},"exist_in_guild":{"type":"boolean"},"joined":{"type":"string"},"roles":{"type":"string","readOnly":true},"profile_pic":{"type":"string","readOnly":true},"dynamic_type":{"type":"string","readOnly":true},"user_domains":{"type":"string","readOnly":true},"user_endgoals":{"type":"string","readOnly":true},"interested_in_work":{"type":"boolean"},"interested_in_gig_work":{"type":"boolean"}},"required":["dynamic_type","email","full_name","joined","muid","profile_pic","roles","user_domains","user_endgoals"]}}},"paths":{"/api/v1/register/select-domains/":{"post":{"operationId":"register_select_domains_create","description":"Create User Domain Selection.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/User"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/register/select-endgoals/

> Create User Endgoal Selection.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"User":{"type":"object","properties":{"muid":{"type":"string","maxLength":100},"full_name":{"type":"string","maxLength":150},"email":{"type":"string","format":"email","maxLength":200},"mobile":{"type":"string","nullable":true,"maxLength":15},"gender":{"enum":["Male","Female","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female","nullable":true},"dob":{"type":"string","format":"date","nullable":true},"exist_in_guild":{"type":"boolean"},"joined":{"type":"string"},"roles":{"type":"string","readOnly":true},"profile_pic":{"type":"string","readOnly":true},"dynamic_type":{"type":"string","readOnly":true},"user_domains":{"type":"string","readOnly":true},"user_endgoals":{"type":"string","readOnly":true},"interested_in_work":{"type":"boolean"},"interested_in_gig_work":{"type":"boolean"}},"required":["dynamic_type","email","full_name","joined","muid","profile_pic","roles","user_domains","user_endgoals"]}}},"paths":{"/api/v1/register/select-endgoals/":{"post":{"operationId":"register_select_endgoals_create","description":"Create User Endgoal Selection.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/User"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/register/state/list/

> Create State.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"State":{"type":"object","properties":{"name":{"type":"string","maxLength":75},"country":{"type":"string","readOnly":true}},"required":["country","name"]}}},"paths":{"/api/v1/register/state/list/":{"post":{"operationId":"register_state_list_create","description":"Create State.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/State"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/register/user-country/

> Retrieve User Country.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserCountry":{"type":"object","properties":{"country_name":{"type":"string"}},"required":["country_name"]}}},"paths":{"/api/v1/register/user-country/":{"get":{"operationId":"register_user_country_retrieve","description":"Retrieve User Country.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserCountry"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/register/user-state/

> Retrieve User State.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserState":{"type":"object","properties":{"state_name":{"type":"string"}},"required":["state_name"]}}},"paths":{"/api/v1/register/user-state/":{"get":{"operationId":"register_user_state_retrieve","description":"Retrieve User State.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserState"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/register/user-zone/

> Retrieve User Zone.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserZone":{"type":"object","properties":{"zone_name":{"type":"string"}},"required":["zone_name"]}}},"paths":{"/api/v1/register/user-zone/":{"get":{"operationId":"register_user_zone_retrieve","description":"Retrieve User Zone.","tags":["Register"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserZone"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mulearn.org/api-reference/register.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
